Summary: IP Firewalling Chains
Name: ipchains-rhcn
Version: 1.3.8
Release: 2
Copyright: GPL
Group: Utilities/System
Source: ftp://ftp.rustcorp.com/ipchains/ipchains-%{version}.tar.bz2
Source1: ftp://ftp.rustcorp.com/ipchains/ipchains-scripts-1.0.2.tar.gz
Source2: ftp://ftp.rustcorp.com/ipchains/ipchains-HOWTOs-1.0.5.tar.bz2
Patch1: ipchains-1.3.8-make.patch
Patch2: ipchains-1.3.8-compiler.patch
Buildroot: /var/tmp/ipchains-root
Obsoletes: ipchains
Packager: Red Hat Contrib|Net <rhcn-bugs@redhat.com>

%ifarch mipseb
%define compiler egcs
%else
%define compiler gcc
%endif

%description 
Linux IP Firewalling Chains is an update to (and hopefully an
improvement upon) the normal Linux Firewalling code, for 2.0 and 2.1
kernels. It lets you do things like firewalls, IP masquerading, etc.

This package replaces ipfwadm from the Linux 2.0 series kernels when
upgrading to Linux 2.2.

%prep
%setup -q -a 1 -a 2 -n ipchains-1.3.8
%patch1 -p1 -b .make
%patch2 -p1 -b .compiler

%build
CC=%{compiler} COPTS=$RPM_OPT_FLAGS make -e

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,usr/man/man4,usr/man/man8}
make install SBIN=$RPM_BUILD_ROOT/sbin MANDIR=$RPM_BUILD_ROOT/usr/man
cp ipchains-scripts-1.0.2/{ipchains-restore,ipchains-save,ipfwadm-wrapper} $RPM_BUILD_ROOT/sbin
cp ipchains-scripts-1.0.2/{ipchains-restore.8,ipchains-save.8,ipfwadm-wrapper.8} $RPM_BUILD_ROOT/usr/man/man8
ln -sf /sbin/ipfwadm-wrapper $RPM_BUILD_ROOT/sbin/ipfwadm

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING HOWTO.txt README ipchains-refcard.letter.ps
%doc ipchains-HOWTOs-1.0.5
%attr(511,root,root) /sbin/ipchains
%attr(755,root,root) /sbin/ipchains-restore
%attr(755,root,root) /sbin/ipchains-save
%attr(755,root,root) /sbin/ipfwadm-wrapper
%attr(-,root,root) /sbin/ipfwadm
%attr(644,root,root) /usr/man/man4/ipfw.4
%attr(644,root,root) /usr/man/man8/ipchains-restore.8
%attr(644,root,root) /usr/man/man8/ipchains-save.8
%attr(644,root,root) /usr/man/man8/ipchains.8
%attr(644,root,root) /usr/man/man8/ipfwadm-wrapper.8

%changelog
* Mon Feb  1 1999 James Bourne <jbourne@affinity-systems.ab.ca>
- added support for CC=egcs if arch is mipseb, else use gcc
- fixed for rpm to use attr, and modified Makefile to allow non-root build
- Added ipchanges-HOWTOs to distrib

* Tue Nov 17 1998 Preston Brown <pbrown@redhat.com>
- initial cut.
